Subject: Re: [xmpp] [MUC] Alternate use of subject tag in MUCs

From: Matthew Wild <[email-masked]>
Date: Wed, 9 Jun 2010 21:40:31 +0100

Because I know you're all bored of 3920bis now...

2010/6/9 "Alejandro R. Sedeño" <[email-masked]>:
> On 06/09/2010 02:16 PM, Matthew Wild wrote:
>>
>> 2010/6/9 "Alejandro R. Sedeño"<[email-masked]>:
>>>
>>> A client I work on, BarnOwl [1], has been, perhaps incorrectly, using
>>> the former wording to allow for a<subject/>  element along with a
>>> <body/>  element to indicate a subject for the particular message,
>>> without changing the topic of MUC. This is used to emulate a feature
>>> that every IM since Zephyr [2] is lacking, which allows for multiple
>>> threaded conversations to exist in a single forum [3].
>>>
>>> I'm interested in getting feedback on this usage and perhaps getting it
>>> standardized.
>>
>> Can you not use<thread>?:
>> http://tools.ietf.org/html/draft-ietf-xmpp-3921bis-06#section-5.2.5
>
> No, thread is not quite right.
>
> "The value of the <thread/> element is not human-readable and MUST be
> treated as opaque by entities; no semantic meaning can be derived from it,
> and only exact comparisons can be made against it. The value of the
> <thread/> element MUST be a universally unique identifier (UUID) as
> described in [UUID]."
>

Is there a need or reason for the contents of <thread> to be so
restricted? It seems to me that yes, it should be opaque, but up to
the application what it puts there and how it interprets it, surely?

Matthew